------玩家中心说明------
入口文件：PlayerCenter.lua
文件构成：
1.界面数据模型：baseclass/PlayerCenterData.lua
    a.各页面按钮数据原型包含在  _btnParam      表中
    b.整个左侧按钮层逻辑包含在  _totalBtnList  表中
        一级节点为以 main_ 开头的基础数据
        此基础数据中包含子节点的 key，相关数据也包含在 _totalBtnList 同一级表中
        在插入此按钮数据时会自动根据数据原型补齐数据
    c.showFirstQiPao -> 展示气泡的“xx活动已加入”的活动页面的key
    d.showDayRedPoint -> 每日展示红点的活动

2.界面逻辑：baseclass/UIPlayerCenter.lua
    此文件中主要编写了玩家中心界面生成，提供了按钮插入和展示页面的接口。
3.基础类：baseclass/UIBaseLayerClass.lua
    规定了页面加入和展示的策略类，新加入界面需要继承此类，并实现自己的界面逻辑。

实现一个新加页面的步骤：
1.继承 baseclass/UIBaseLayerClass.lua
2.实现 init() 函数，在新加按钮加入到列中之前会调用此函数，用以初始化类。
3.实现 setKey(layer_key) 函数，给新加页面一个唯一标识key，用来从 PlayerCenterData 的 _totalBtnList 寻找到按钮配置数据。
4.注意 _setShowData 函数，在监听红点返回函数时，可以用此函数做为返回调用，会自动赋值参数给 self._isShowData，并自动调用 add 函数。
5.实现 canShowInList() 函数，在按钮加入到列表中之前会调用此函数判断，如果返回true则可加入，返回false则不能加入，默认返回true，可以使用 self._isShowData 变量作为判断，此变量为 _setShowData 函数接收到的参数赋值。
6.实现 doFuncAfterJoinIn() 函数，在按钮加入到列表中之后会调用此函数，主要用来取可领取数据，和加相关监听。
7.实现 可领取数据 监听的函数，调用 self.UIPlayerCenter.showBtnAward(layer_key, isShow) 来打开或关闭可领取动画。
8.注意 add(sendUIPlayerCenter) 函数，sendUIPlayerCenter为生成的 UIPlayerCenter 类句柄。
9.实现 initUI() 函数，在展示界面时会自动调用此函数，需要生成界面，并在此函数中给self._node赋值。
10.实现 close() 函数，在关闭新加页面时会调用，主要用来关闭定时器等。

添加新加页面的逻辑：
1.调用 add(sendUIPlayerCenter) 函数。

实现原理：
1.此函数会首先去判断 canShowInList() 函数，若返回true则加入到按钮列表中，若返回false则不加入。
2.canShowInList 函数中判断 _isShowData 变量是否有值，如果没值则加需要判断的值的监听，并把 _setShowData 函数作为回调函数。
3._setShowData 被赋值时，会给 _isShowData 变量赋值，并尝试去调用 add 函数。（重复走到入口）
4.按钮加入到界面后会去调用 doFuncAfterJoinIn 函数，添加可领取状态展示的监听，并去取可领取状态接口。
5.可领取状态取到后，self.UIPlayerCenter.showBtnAward(layer_key, isShow) 会去设置可领取动画。
6.当点击按钮后，会去调用 initUI() 函数，并把赋过值的 self._node 加入到可展示区域。
